Check-in [fdb515dc70]
Overview
Comment:Added StaticTk builds

Updated to move failed builds into failed directory

Downloads: Tarball | ZIP archive | SQL archive
Timelines: family | ancestors | descendants | both | trunk
Files: files | file ages | folders
SHA1:fdb515dc702f97b618b10d08bb03637f1c080174
User & Date: rkeene on 2010-09-26 04:46:40
Other Links: manifest | tags
Context
2010-09-26
04:46
Updated to cleanup logs that are empty check-in: 44fdeb3c7e user: rkeene tags: trunk
04:46
Added StaticTk builds

Updated to move failed builds into failed directory check-in: fdb515dc70 user: rkeene tags: trunk

04:46
Cleaned up winMain

Updated main to return in failure if Tcl_Main() returns check-in: 5dc6b2220b user: rkeene tags: trunk

Changes

Modified build/test/publish-tests from [091622edc7] to [db5cad6f63].

     8      8   
     9      9   	exit 1
    10     10   fi
    11     11   
    12     12   rm -rf "${WEBDIR}"
    13     13   mkdir -p "${WEBDIR}" || exit 1
    14     14   
    15         -ln -s ../index.ttml "${WEBDIR}" >/dev/null 2>/dev/null
           15  +cp -r kits/* "${WEBDIR}"
    16     16   
    17         -cp kits/* "${WEBDIR}"
           17  +ln -s ../index.ttml "${WEBDIR}/" >/dev/null 2>/dev/null
    18     18   
    19     19   for file in "${WEBDIR}"/*; do
           20  +	if [ -d "${file}" ]; then
           21  +		continue
           22  +	fi
           23  +
    20     24   	if echo "${file}" | egrep '\.(log|desc|ttml)$' >/dev/null; then
    21     25   		continue
    22     26   	fi
    23     27   
    24     28   	descfile="${file}.desc"
    25     29   	shortfile="$(basename "${file}")"
    26     30   	desc=""
................................................................................
    50     54   				;;
    51     55   			notk-*)
    52     56   				if echo "${desc}" | grep -i support >/dev/null; then
    53     57   					desc="${desc} and"
    54     58   				fi
    55     59   				desc="${desc} without Tk"
    56     60   				;;
           61  +			statictk-*)
           62  +				if echo "${desc}" | grep -i support >/dev/null; then
           63  +					desc="${desc} and"
           64  +				fi
           65  +				desc="${desc} with Tk linked directly to the kit"
           66  +				;;
    57     67   			zip-*)
    58     68   				desc="${desc} using ZIP for Kit storage"
    59     69   				;;
    60     70   			*)
    61     71   				echo "Unknown part (\"${parts}\"), skipping \"${shortfile}\"" >&2
    62     72   				break
    63     73   				;;
................................................................................
    84     94   			;;
    85     95   	esac
    86     96   
    87     97   	desc="is a Tclkit for Tcl ${tclversion}${desc}"
    88     98   
    89     99   	echo "${desc}" > "${descfile}"
    90    100   done
          101  +
          102  +
          103  +rmdir "${WEBDIR}/failed" >/dev/null 2>/dev/null
          104  +ln -s ../index.ttml "${WEBDIR}/failed/" >/dev/null 2>/dev/null
          105  +
          106  +exit 0

Modified build/test/test from [00a188ebb7] to [541777ce91].

    24     24   # Handle command-line arguments
    25     25   if [ "$1" = "clean" ]; then
    26     26   	rm -rf "${TESTDIR}/kits"
    27     27   fi
    28     28   
    29     29   # Create place to put kits
    30     30   mkdir "${TESTDIR}/kits" >/dev/null 2>/dev/null
           31  +mkdir "${TESTDIR}/kits/failed" >/dev/null 2>/dev/null
    31     32   if [ ! -d "${TESTDIR}/kits" ]; then
    32     33   	echo 'Unable to create kits/ directory, aborting.' >&2
    33     34   
    34     35   	exit 1
    35     36   fi
    36     37   
    37     38   # Cleanup
................................................................................
    40     41   		continue
    41     42   	fi
    42     43   
    43     44   	rm -f "${file}"
    44     45   done
    45     46   
    46     47   failed=""
    47         -for kit in normal normal-zip normal-threaded normal-threaded-zip normal-notk normal-threaded-notk normal-threaded-zip-notk min min-static win32 win32-zip win32-threaded win32-threaded-zip win32-notk win32-threaded-notk arm-min; do
           48  +for kit in normal normal-zip normal-threaded normal-threaded-zip normal-statictk normal-notk normal-threaded-notk normal-threaded-zip-notk min min-static win32 win32-zip win32-threaded win32-threaded-zip win32-notk win32-threaded-notk arm-min; do
    48     49   	kitcreator="./kitcreator"
    49     50   	args=""
    50     51   	runnable="1"
    51     52   	iszip="0"
    52     53   	statictk="0"
    53     54   	notk="0"
    54     55   
................................................................................
   111    112   		esac
   112    113   	done
   113    114   
   114    115   	for version in ${VERSIONS}; do
   115    116   		# Create Tclkit
   116    117   		createdkit="tclkit-${version}"
   117    118   		outputname="${TESTDIR}/kits/tclkit-${version}-${kit}"
          119  +		failoutputname="${TESTDIR}/kits/failed/tclkit-${version}-${kit}"
   118    120   		buildlog="${outputname}-build.log"
          121  +		failbuildlog="${failoutputname}-build.log"
   119    122   
   120    123   		if [ ! -f "${outputname}" ]; then
   121    124   			unset KITCREATOR_PKGS STATICTK
          125  +
          126  +			if [ -f "${failoutputname}" ]; then
          127  +				echo "Skipping rebuilding failed kit ${version}/${kit} ..."
          128  +
          129  +				failed="${failed} ${version}/${kit}-build"
          130  +
          131  +				continue
          132  +			fi
   122    133   
   123    134   			echo "Creating Tclkit ${version}/${kit}..."
   124    135   
   125    136   			if [ "${notk}" = "1" ]; then
   126    137   				KITCREATOR_PKGS='itcl mk4tcl'
   127    138   				export KITCREATOR_PKGS
   128    139   			fi
................................................................................
   137    148   			grep -n '^' */build.log >> "${buildlog}" 2>&1
   138    149   
   139    150   			if [ ! -f "${createdkit}" ]; then
   140    151   				echo "Failed to create kit ${version}/${kit}" >&2
   141    152   
   142    153   				failed="${failed} ${version}/${kit}-build"
   143    154   
          155  +				touch "${failoutputname}"
          156  +				mv "${buildlog}" "${failbuildlog}"
          157  +
   144    158   				continue
   145    159   			fi
   146    160   
   147    161   			# Verify sanity of created kit
   148    162   			issane=1
   149    163   
   150    164   			## Verify the Win32 kits are 
................................................................................
   172    186   
   173    187   			# Make note of sanity failure
   174    188   			if [ "${issane}" != "1" ]; then
   175    189   				echo "Kit failed sanity ${version}/${kit}" >&2
   176    190   
   177    191   				failed="${failed} ${version}/${kit}-sanity"
   178    192   
   179         -				rm -f "${createdkit}"
          193  +				mv "${createdkit}" "${failoutputname}"
          194  +				mv "${buildlog}" "${failbuildlog}"
   180    195   
   181    196   				continue
   182    197   			fi
   183    198   
   184    199   			# Rename created kit to final destination
   185    200   			mv "${createdkit}" "${outputname}"
   186    201   		fi